#!/usr/bin/env node

console.log();
console.log("   ┌────────────────────────────────────────────────────────┐");
console.log("   |   Installing atajo-ionic cordova plugin dependencies   |");
console.log("   └────────────────────────────────────────────────────────┘");
console.log();

const plugins = [
    "cordova-plugin-app-version",
    "cordova-plugin-battery-status",
    "cordova-plugin-code-push",
    "cordova-plugin-device",
    "cordova-plugin-http",
    "cordova-plugin-mauron85-background-geolocation",
    "cordova-plugin-network-information",
    "cordova-sqlite-storage",
    "cordova.plugins.diagnostic"
]


function installNext() {

    let plugin = plugins.pop();
    if (!plugin) return;

    let cmd = 'ionic cordova plugin add ' + plugin + ' --save';

    console.log("Running " + cmd);

    const exec = require('child_process').exec;
    const child = exec(cmd,
        (error, stdout, stderr) => {

            if (error) { console.error(error); }
            if (stdout) { console.log(stdout); }
            if (stderr) { console.error(stderr); }

            installNext();

        });

}

installNext();